var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  default: () => babelPluginAntdStyle
});
module.exports = __toCommonJS(src_exports);
var t = __toESM(require("@babel/types"));
function babelPluginAntdStyle() {
  let hasImportAntdStyle = false;
  return {
    visitor: {
      ImportDeclaration(path) {
        if (path.type !== "ImportDeclaration") {
          return;
        }
        const value = path.node.source.value;
        if (value === "antd-style" && path.node.specifiers.find(
          (item) => {
            var _a;
            return ((_a = item.imported) == null ? void 0 : _a.name) === "createStyles";
          }
        )) {
          hasImportAntdStyle = true;
        }
      },
      CallExpression(path, state) {
        if (state.file.opts.filename.includes("node_modules")) {
          return;
        }
        const fileName = state.file.opts.filename.replace(
          state.file.opts.root,
          ""
        );
        if (!hasImportAntdStyle)
          return;
        if (path.node.callee.name !== "createStyles")
          return;
        const __BABEL_FILE_NAME__ = t.objectExpression([
          t.objectProperty(
            t.identifier("__BABEL_FILE_NAME__"),
            t.stringLiteral(
              fileName.split("/").map((path2) => path2.split(".").at(0)).filter((path2) => path2 && path2 !== "src" && path2 !== "index").join("-")
            )
          )
        ]);
        if (path.node.arguments.length === 1) {
          path.node.arguments.push(__BABEL_FILE_NAME__);
          return;
        }
        if (path.node.arguments.length === 2) {
          const properties = path.node.arguments[1].properties;
          if (properties.find(
            (item) => item.key.name !== "__BABEL_FILE_NAME__"
          )) {
            return;
          } else {
            properties.push(__BABEL_FILE_NAME__);
          }
          return;
        }
      }
    }
  };
}
